﻿<%@page trimDirectiveWhitespaces="true"%>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@taglib prefix="gen" uri="http://help.jspgen.com/taglib/jstl"%>
<form id="form" name="form" method="post" action="department!updateJSON.gen">
  <h2><i><gen:if test='${empty param.id}'>添加<gen:else />编辑</gen:if>部门</i></h2>
  <div class="area-content">
    <table width="100%" border="0" cellspacing="0" cellpadding="0" class="table">
      <tr>
        <td width="25%" align="right"><span class="red">*</span>&nbsp;名称：</td>
        <td width="75%">
          <input name="name" type="text" class="text small" id="name" value="${department.name}" size="20" />
          <label for="name" generated="true" class="tip normal" tip="名称不能为空"></label></td>
      </tr>
      <tr class="border-top">
        <td align="right">全称：</td>
        <td><input name="fullname" type="text" class="text small ignore" value="${department.fullname}" size="35" maxlength="60" /></td>
      </tr>
      <tr class="border-top">
        <td align="right">法人：</td>
        <td><input name="corporation" type="text" class="text small" id="alias" value="${department.corporation}" size="20" /></td>
      </tr>
      <tr class="border-top">
        <td align="right">地址：</td>
        <td><input name="address" type="text" class="text small ignore" value="${department.address}" size="50" maxlength="60" /></td>
      </tr>
      <tr class="border-top">
        <td align="right" valign="top">描述：</td>
        <td><table border="0" cellspacing="0" cellpadding="0" class="ignore">
            <tr class="ignore">
              <td><textarea id="description" name="description" class="text small textarea general">${department.description}</textarea></td>
              <td valign="top"></td>
            </tr>
          </table></td>
      </tr>
      <tr class="border-top">
        <td align="right">主页：</td>
        <td><input name="url" type="text" class="text small" id="alias" value="${department.url}" size="35" /></td>
      </tr>
      <tr class="border-top">
        <td align="right">电话：</td>
        <td><input name="tel" type="text" class="text small" id="alias" value="${department.tel}" size="20" /></td>
      </tr>
      <tr class="border-top">
        <td align="right">传真：</td>
        <td><input name="fax" type="text" class="text small" id="alias" value="${department.fax}" size="20" /></td>
      </tr>
      <tr class="border-top">
        <td align="right">邮箱：</td>
        <td><input name="email" type="text" class="text small" id="alias" value="${department.email}" size="30" /></td>
      </tr>
      <tr class="border-top">
        <td align="right">属性：</td>
        <td><label>
        	<input name="isHide" type="checkbox" value="1" <gen:if test="${department.isHide == '1'}">checked</gen:if> />
        	隐藏</label></td>
      </tr>
        <tr class="border-top">
        <td align="right">排序：</td>
        <td><input name="sort" type="text" class="text small" value="${department.sort}" size="5" /></td>
      </tr>
      <tr class="border-top">
      <td colspan="2" class="push txt-c"><input type="hidden" name="formHash" value="${formHash}"/>
        <input type="hidden" name="id" id="id" value="${department.id}" />
        <input type="hidden" name="parentId" id="parentId" value="${department.parentId}" />
        <input name="submit" class="button blue small" type="submit" value="确 定" />
        &nbsp;&nbsp;&nbsp;&nbsp;
        <input name="reset" class="button gray small" type="reset" value="取 消" /></td>
    </tr>
    </table>
  </div>
</form>