﻿<%@page trimDirectiveWhitespaces="true"%>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@taglib prefix="gen" uri="http://help.jspgen.com/taglib/jstl"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta http-equiv="X-UA-Compatible" content="ie=edge,chrome=1" />
<title>数据字典</title>
<!-- ZTree树形插件 -->
<link type="text/css" href="${config.statie}js/ztree/images/ztree.css" rel="stylesheet">
<!-- 当前页面 -->
<link type="text/css" href="${config.statie}ui/admin/images/admin.css" rel="stylesheet">
<style type="text/css">
/*权限区域*/
.ztree * {font-size:12px; line-height:20px;}
.ztree li ul.level0 {padding:0; background:none;}
.ztree li span.level0.btn {display:none;}
.ztree li a.curSelectedNode{background:#F7FCFE; color:#278BF2;}
/*.ztree li a.level0.curSelectedNode{background:none; color:#7E7E7E;}*/
.ztree li a.tmpTargetNode_inner {background-color:#F7FCFE; color:#278BF2; border:1px #278BF2 solid;}
ul.tmpTargetzTree {background:none;}
ul.ztree.zTreeDragUL {background-color:#F7FCFE; color:#278BF2; border:1px #278BF2 dotted;}

.area-left{background:none;}
.area-left .tree{margin:5px;}
</style>
</head>
<body>
<div id="wrapper">
  <table width="100%" border="0" cellspacing="0" cellpadding="0">
    <tr>
      <td width="18%" valign="top" class="area-left"><ul id="tree" class="ztree tree"></ul></td>
      <td valign="top"><div class="area">
          <h2><i>添加 顶级数据</i></h2>
          <div class="area-content">
            <form id="form" name="form" method="post" action="dictionary!updateJSON.gen">
              <table width="100%" border="0" cellspacing="0" cellpadding="0" class="table">
                <tr>
                	<td width="30%" align="right" class="orange">友情提示：</td>
                    <td>请先点击左边节点，再进行操作</td>
                </tr>
                <tr class="border-top">
                  <td align="right">名称：</td>
                  <td><input name="name" id="name" type="text" class="text small" value="" size="20" />
                  <label for="name" generated="true" class="tip normal" tip=""></label></td>
                </tr>
                <tr class="border-top">
                  <td align="right">数值：</td>
                  <td><input name="value" id="value" type="text" class="text small" value="" size="20" /></td>
                </tr>
                <tr class="border-top">
            		<td align="right" valign="top">备注：</td>
            		<td><textarea id="remark" name="remark" class="text small textarea general"></textarea></td>
          		</tr>
                <tr class="border-top">
                  <td align="right">属性：</td>
                  <td><label>
                  <input name="isHide" type="checkbox" value="1" />
                  隐藏</label></td>
                </tr>
                <tr class="border-top">
                  <td align="right">排序：</td>
                  <td><input name="sort" type="text" class="text small" value="" size="5" /></td>
                </tr>
                <tr class="border-top">
                  <td colspan="2" class="push txt-c"><input type="hidden" name="formHash" value="${formHash}"/>
                  	<input type="hidden" name="id" value="" />
                    <input type="hidden" name="parentId" value="0" />
                    <input name="submit" class="button blue small" type="submit" value="确 定" />
                    &nbsp;&nbsp;&nbsp;&nbsp;
                    <input name="reset" class="button gray small" type="reset" value="取 消" /></td>
                </tr>
              </table>
            </form>
          </div>
        </div></td>
    </tr>
  </table>
</div>
<!-- 必备插件 -->
<script type="text/javascript" src="${config.statie}js/jquery.js"></script>
<script type="text/javascript" src="${config.statie}js/jquery.form.js"></script>
<script type="text/javascript" src="${config.statie}js/jquery.grapes.js"></script>
<script type="text/javascript" src="${config.statie}js/jquery.timers.js"></script>
<script type="text/javascript" src="${config.statie}js/jquery.mousewheel.js"></script>
<script type="text/javascript" src="${config.statie}js/jquery.tablecolor.js"></script>
<!-- ZTree树形插件 -->
<script type="text/javascript" src="${config.statie}js/ztree/jquery.ztree.core-3.5.js"></script>
<script type="text/javascript" src="${config.statie}js/ztree/jquery.ztree.excheck-3.5.js"></script>
<script type="text/javascript" src="${config.statie}js/ztree/jquery.ztree.exhide-3.5.js"></script>
<script type="text/javascript" src="${config.statie}js/ztree/jquery.ztree.exedit-3.5.js"></script>
<!-- 表单验证插件 -->
<script type="text/javascript" src="${config.statie}js/validate/jquery.validate.js"></script>
<script type="text/javascript" src="${config.statie}js/validate/validate.expand.js"></script>
<script type="text/javascript" src="${config.statie}js/validate/messages_zh.js"></script>
<!-- UI界面必备 -->
<script type="text/javascript" src="${config.statie}ui/js/jspgen.js"></script>
<script type="text/javascript" src="${config.statie}ui/js/jspgen.ajax.js"></script>
<script type="text/javascript" src="${config.statie}ui/js/jspgen.ready.js"></script>
<!-- 当前页面 -->
<script type="text/javascript" src="${config.statie}ui/admin/js/tree-icon.js"></script>
<script type="text/javascript" src="${config.statie}ui/admin/js/tree-dictionary.js"></script>
<script type="text/javascript" src="${config.statie}ui/admin/js/tree-dictionary-edit.js"></script>
<script type="text/javascript">
function treeAuto(){$('#tree').css('height',($(window).height()-20)+'px').css('overflow-y', 'auto');}
$(document).ready(function(){
	treeAuto();$(window).bind('resize', function(){treeAuto();});
});
</script>
</body>
</html>
